indexing
	description: "Name constants supporting calendars and dates"
	license: "Eiffel Forum License v2 - See license.txt"
	source: "{
		Amalasoft Corporation
		273 Harwood Avenue
		Littleton, MA 01460 USA
		}"
	status: "Copyright 1995-2008, Amalasoft"
	date: "$Date: 2008/04/26 $"
	revision: "$Revision: 002$"

class AEL_DATE_TIME_NAMES

create
	default_create

feature -- Calendar names

	month_long_names: ARRAY [STRING] is
		once
			Result := << "January",   "February", "March",    "April",
			             "May",       "June",     "July",     "August",
							 "September", "October",  "November", "December"
							 >>
		end

	month_long_names_upper: ARRAY [STRING] is
		once
			Result := << "JANUARY",   "FEBRUARY", "MARCH",    "APRIL",
			             "MAY",       "JUNE",     "JULY",     "AUGUST",
							 "SEPTEMBER", "OCTOBER",  "NOVEMBER", "DECEMBER"
							 >>
		end

	month_short_names: ARRAY [STRING] is
		once
			Result := << "Jan", "Feb", "Mar", "Apr",
			             "May", "Jun", "Jul", "Aug",
							 "Sep", "Oct", "Nov", "Dec"
							 >>
		end

	month_short_names_upper: ARRAY [STRING] is
		once
			Result := << "JAN", "FEB", "MAR", "APR",
			             "MAY", "JUN", "JUL", "AUG",
							 "SEP", "OCT", "NOV", "DEC"
							 >>
		end

	day_long_names: ARRAY [STRING] is
			-- Full-word English names of days, where 1 is Sunday,
			-- 2 is Monday, etc
		once
			Result := << "Sunday",   "Monday", "Tuesday", "Wednesday",
			             "Thursday", "Friday", "Saturday"
							 >>
		end

	zero_7_day_long_names: ARRAY [STRING] is
			-- Full-word English names of days, where 0 and 7 are Sunday
			-- And Monday is 1
		once
			create Result.make (0, 7)
			Result.put ("Sunday", 0)
			Result.put ("Monday", 1)
			Result.put ("Tuesday", 2)
			Result.put ("Wednesday", 3)
			Result.put ("Thursday", 4)
			Result.put ("Friday", 5)
			Result.put ("Saturday", 6)
			Result.put ("Sunday", 7)
		end

	day_short_names: ARRAY [STRING] is
			-- Abbreviated English names of days, where 1 is Sunday,
			-- 2 is Monday, etc
		once
			Result := << "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat" >>
		end

	zero_7_day_short_names: ARRAY [STRING] is
			-- Abbreviated English names of days, where 0 and 7 are Sunday
			-- And Monday is 1
			-- Zero-based to interface with C struct_tm and other externals
		once
			create Result.make (0, 7)
			Result.put ("Sun", 0)
			Result.put ("Mon", 1)
			Result.put ("Tue", 2)
			Result.put ("Wed", 3)
			Result.put ("Thu", 4)
			Result.put ("Fri", 5)
			Result.put ("Sat", 6)
			Result.put ("Sun", 7)
		end

	ordinal_days: ARRAY [STRING] is
		once
			Result := << "1st", "2nd", "3rd", "4th", "5th", "6th", "7th",
			             "8th", "9th", "10th", "11th", "12th", "13th", "14th",
							 "15th", "16th", "17th", "18th", "19th", "20th", "21st",
							 "22nd", "23rd", "24th", "25th", "26th", "27th", "28th",
							 "29th", "30th", "31st"
							 >>
		ensure
			exists: Result /= Void
		end

	day_strings: ARRAY [STRING] is
		once
			Result := << " 1", " 2", " 3", " 4", " 5", " 6", " 7",
			             " 8", " 9", "10", "11", "12", "13", "14",
							 "15", "16", "17", "18", "19", "20", "21",
							 "22", "23", "24", "25", "26", "27", "28",
							 "29", "30", "31"
							 >>
		end

	Ks_time_unit_nanosecond: STRING is "nanosecond"
	Ks_time_unit_microsecond: STRING is "microsecond"
	Ks_time_unit_millisecond: STRING is "millisecond"
	Ks_time_unit_second: STRING is "second"
	Ks_time_unit_minute: STRING is "minute"
	Ks_time_unit_hour: STRING is "hour"
	Ks_time_unit_day: STRING is "day"
	Ks_time_unit_week: STRING is "week"
	Ks_time_unit_month: STRING is "month"
	Ks_time_unit_year: STRING is "year"

	Ks_time_am: STRING is "AM"
	Ks_time_pm: STRING is "PM"

end -- class AEL_DATE_TIME_NAMES
